/*
 * lw12ctl.c
 * Copyright (C) 2017 jpk <jpk@thor>
 *
 * Distributed under terms of the MIT license.
 */

#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <unistd.h>

#include "lw12.h"

int main() {
    int sockfd = 0;
    struct sockaddr_in server_addr;

    char serverip[] = "192.168.178.24";
    uint16_t serverport = 5000;

    lw12_connect(&sockfd, &server_addr, serverport, serverip);
    lw12_sendcmd(sockfd, &server_addr, (char *)LIGHTS_ON);
    lw12_sendcmd(sockfd, &server_addr, (char *)LIGHTS_INIT);

    usleep(2000000);

    lw12_sendcmd(sockfd, &server_addr, (char *)LIGHTS_OFF);

    close(sockfd);

    return 0;
}
